Skip to content

List recording rules

GET
/v1/recordingrule/

Return all recording rules for the current account.

active
boolean
cursor
string

The pagination cursor value.

id
string format: uuid
page_size
integer

Number of results to return per page.

search
string

A search term.

object
next
string format: uri
nullable
Example
http://api.example.org/accounts/?cursor=cD00ODY%3D"
previous
string format: uri
nullable
Example
http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
results
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
account
required
string format: uuid
name
required
string
<= 100 characters
query
required
string
<= 1000 characters
agent_type
string format: uuid
nullable
metric_resolution_second
required
integer
default_threshold_high_critical
Threshold high critical
number format: double
nullable
default_threshold_high_warning
Threshold high warning
number format: double
nullable
default_threshold_low_critical
Threshold low critical
number format: double
nullable
default_threshold_low_warning
Threshold low warning
number format: double
nullable
active
boolean
created_at
required
string format: date-time
deactivated_at
string format: date-time
nullable